
From: Hans Reiser <reiser@namesys.com>

This describes reiser4 compile and mount options.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/filesystems/reiser4.txt |   97 ++++++++++++++++++++++++++
 1 files changed, 97 insertions(+)

diff -puN /dev/null Documentation/filesystems/reiser4.txt
--- /dev/null	Thu Apr 11 07:25:15 2002
+++ 25-akpm/Documentation/filesystems/reiser4.txt	Wed Aug 18 16:42:48 2004
@@ -0,0 +1,97 @@
+Reiser4 filesystem
+==================
+Reiser4 is a file system based on dancing tree algorithms, and is
+described at http://www.namesys.com
+
+
+References
+==========
+web page		http://namesys.com/v4/v4.html
+source code and
+userland tools		http://thebsh.namesys.com/snapshots/LATEST
+
+
+Compile options
+===============
+Use larger keys on reiser4 tree
+	Make keys larger and use additional bits to order bodies of
+	files within a directory in the order of their names, which is
+	what you want normally. If you turn this off, file bodies will
+	be ordered by creation time, which is not optimal for most
+	users.
+
+	Turn this off to mount filesystems created with non-default key plugin:
+	mkfs.reiser4 -o key=key_short /dev/hdb6
+	You can find which key plugin your filesystem is created with:
+	debugfs.reiser4 /dev/hdb6 | grep "key policy"
+	If it says:
+	key policy:	SHORT
+	then you need to turn this option OFF
+	If it says
+	key policy:	LARGE
+	then you have to turn this ON
+	Note, that currently you can mount either only filesystems
+	with large keys or only filesystems with small keys.
+
+Enable reiser4 debug options
+       It makes available a lot of various options. They are supposed
+       to be used for debugging/profiling purposes. Make menuconfig
+       provides their thorough documentation.
+
+
+Mount options
+=============
+tmgr.atom_max_size=N
+	Atoms containing more than N blocks will be forced to commit.
+	N is decimal.
+	Default is nr_free_pagecache_pages() / 2 at mount time.
+
+tmgr.atom_max_age=N
+	Atoms older than N seconds will be forced to commit. N is decimal.
+	Default is 600.
+
+tmgr.atom_max_flushers=N
+	Limit of concurrent flushers for one atom. 0 means no limit.
+	Default is 0.
+
+tree.cbk_cache.nr_slots=N
+	Number of slots in the cbk cache.
+
+flush.relocate_threshold=N
+	If flush finds more than N adjacent dirty leaf-level blocks it
+	will force them to be relocated.
+	Default is 64.
+
+flush.relocate_distance=N
+	If flush finds can find a block allocation closer than at most
+	N from the preceder it will relocate to that position.
+	Default is 64.
+
+flush.scan_maxnodes=N
+	The maximum number of nodes to scan left on a level during
+	flush.
+	Default is 10000.
+
+optimal_io_size=N
+	Preferred IO size. This value is used to set st_blksize of
+	struct stat.
+	Default is 65536.
+
+bsdgroups
+	Turn on BSD-style gid assignment.
+
+32bittimes
+	By default file in reiser4 have 64 bit timestamps. Files
+	created when filesystem is mounted with 32bittimes mount
+	option will get 32 bit timestamps.
+
+mtflush
+	Turn off concurrent flushing.
+
+nopseudo
+	Disable pseudo files support. See
+	http://namesys.com/v4/pseudo.html for more about pseudo files.
+
+dont_load_bitmap
+	Don't load all bitmap blocks at mount time, it is useful for
+	machines with tiny RAM and large disks.
_
